org.keycloak.models

## Interface SamlArtifactSessionMappingStoreProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    InfinispanSamlArtifactSessionMappingStoreProvider

      public interface SamlArtifactSessionMappingStoreProvider
      extends Provider

  Provides cache for session mapping for SAML artifacts. For now, it is separate provider as it's a bit different use-case than `ActionTokenStoreProvider`, however it may reuse some components (eg. same infinispan cache)
  Author:
    mhajas

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SamlArtifactSessionMappingModel` | `get(String artifact)` This method returns session mapping associated with the given
    `void` | `put(String artifact, int lifespanSeconds, AuthenticatedClientSessionModel clientSessionModel)` Stores the given data and guarantees that data should be available in the store for at least the time specified by parameter
    `void` | `remove(String artifact)` Removes data for the given from the store

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### put

          void put(String artifact,
                   int lifespanSeconds,
                   AuthenticatedClientSessionModel clientSessionModel)

      Stores the given data and guarantees that data should be available in the store for at least the time specified by parameter
      Parameters:
        `artifact` -
        `lifespanSeconds` -
        `clientSessionModel` -

    - #### get

          SamlArtifactSessionMappingModel get(String artifact)

      This method returns session mapping associated with the given
      Parameters:
        `artifact` -
      Returns:
        session mapping corresponding to given artifact or `null` if it does not exist.

    - #### remove

          void remove(String artifact)

      Removes data for the given from the store
      Parameters:
        `artifact` -

Copyright © 2021 JBoss by Red Hat. All rights reserved.